0

i have setp up magento 2.2 on apache server , my static files url are like :

<script  type="text/javascript"  src="http://example.com/pub/static/frontend/Magento/luma/en_US/requirejs/require.js"></script>
<script  type="text/javascript"  src="http://example.com/pub/static/frontend/Magento/luma/en_US/mage/requirejs/mixins.js"></script>
<script  type="text/javascript"  src="http://example.com/pub/static/frontend/Magento/luma/en_US/requirejs-config.js"></script>

and clicking on those (static files ) it shows "Whoops, our bad..."

Now when i remove code from both .htaccess files (outside and inside pub folder ) it started working fine , i want to know why this line is causing issue .

<Files *>
        <IfVersion < 2.4>
            order allow,deny
            deny from all
        </IfVersion>
        <IfVersion >= 2.4>
            Require all denied
        </IfVersion>
    </Files>
0

This is apache versioning. You can get more details from the above GitHub link https://github.com/magento/magento2/issues/10810

These changes are made as per security prospect to improve the direct file access algorithm.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.